TinyWebGallery misses GD Lib

  • Hi there,


    I've installed OMV 3.0.93 on my RPi3, works! I've activated nginx-plugin and dropped some HTML and PHP Hello worlds there, they show up!


    Next I put TinyWebGallery in the nginx server and it works "partly":

    • login shows up (so php-paths seem to be correct)
    • but demos don't work correctly
    • info-screen shows up but states errors

    1st error is about GD lib

    Code
    PHP version >= 4.3.0 Yes (5.6.30-0+deb8u1)
    - GD lib support Unavailable
    - GD lib >= 2.0 No (0)
    - imagecreatetruecolor GDlib is not installed properly - TWG does not work!


    Output of apt list is

    Code
    root@---:~# apt list --installed | grep gd
    gdisk/oldstable,now 0.8.10-2 armhf [installed,automatic]
    libgd3/oldstable,now 2.1.0-5+deb8u11 armhf [installed,automatic]
    libgdbm3/oldstable,now 1.8.3-13.1 armhf [installed]
    wireless-regdb/oldstable,now 2016.06.10-1~deb8u1 all [installed]

    There seems to be a libgd. But what does this "oldstable, now..." mean? Would it be helpful to install gdlib by hand thru apt-get install? Which part of it?


    Thanks for any hint
    F.

  • OMV doesn't need gd. So, it isn't installed. Yes, I would install it manually with apt-get install php5-gd

    omv 6.0.8-1 Shaitan | 64 bit | 5.15 proxmox kernel | omvextrasorg 6.0.5 | kvm plugin 6.0.3
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!